Name: linphone 
Version: 3.1.0
Release: alt2

Summary: This is Linphone, a free video softphone based on the SIP protocol.

Group: Communications
License: GPL
URL: http://www.linphone.org
Packager: Sergey Alembekov <rt@altlinux.ru>
Source: http://download.savannah.gnu.org/releases/linphone/stable/source/%{name}-%{version}.tar.gz
Requires: libosip2 >= 3.0.3
Requires: libeXosip2 >= 3.0.3
Requires: libspeex >= 1.1.6
Requires: libreadline
BuildPreReq: libosip2-devel >= 3.0.3 
BuildPreReq: libeXosip2-devel >= 3.0.3 
BuildPreReq: libspeex-devel >= 1.1.6
BuildPreReq: pkg-config, intltool, libgtk+2-devel, libglade-devel, glib2-devel, libffmpeg-devel, libSDL-devel


%description
Linphone is mostly sip compliant. It works successfully with these
implementations:
    * eStara softphone (commercial software for windows)
    * Pingtel phones (with DNS enabled and VLAN QOS support disabled).
    * Hotsip, a free of charge phone for Windows.
    * Vocal, an open source SIP stack from Vovida that includes a SIP proxy
        that works with linphone since version 0.7.1.
    * Siproxd is a free sip proxy being developped by Thomas Ries because he
        would like to have linphone working behind his firewall. Siproxd is
        simple to setup and works perfectly with linphone.
    * Partysip aims at being a generic and fully functionnal SIP proxy. Visit
        the web page for more details on its functionalities.

Linphone may work also with other sip phones, but this has not been tested yet.

%package devel
Summary:        Development libraries for linphone
Group:          Development/Other
Requires:       %name = %version-%release
Requires:       glib2-devel
Requires:       ortp-devel = 0.15.0

%description    devel
Libraries and headers required to develop software with linphone.

%package devel-static
Summary:        Development libraries for linphone
Group:          Development/Other
Requires:       %name = %version-%release
Requires:       glib2-devel
Requires:       ortp-devel = 0.15.0

%description    devel-static
Static libraries required to develop software with linphone.

%package -n ortp
Summary:        A C library implementing the RTP protocol (rfc1889)
Group:          System/Libraries
Version:        0.15.0

%description -n ortp
oRTP is a LGPL licensed C library implementing the RTP protocol (rfc1889). It
is available for most *nix clones (primilarly Linux and HP-UX), and Win32.

%package -n ortp-devel
Summary:        Development libraries for ortp
Group:          Development/Other
Version:        0.15.0
Requires:       ortp = 0.15.0

%description -n ortp-devel
oRTP is a LGPL licensed C library implementing the RTP protocol (rfc1889). It
is available for most *nix clones (primilarly Linux and HP-UX), and Win32.

This package contains header files and development libraries needed to
develop programs using the oRTP library.


%package -n mediastreamer2
Summary:        Audio/Video real-time streaming
Group:          Development/Other
Version:        2.2.3

%description -n mediastreamer2
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the oRTP library.

%package -n mediastreamer2-devel
Summary:        Headers, libraries and docs for the mediastreamer2 library
Group:          Development/Other
Version:        2.2.3
Requires:       mediastreamer2 = 2.2.3
Requires:       ortp-devel = 0.15.0

%description -n mediastreamer2-devel
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the ortp library.

This package contains header files and development libraries needed to
develop programs using the mediastreamer2 library.

%prep
%setup  

%build
./autogen.sh
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_bindir/*
%_libdir/liblinphone.so.3
%_libdir/liblinphone.so.3.1.0
%_man1dir/*
%_mandir/cs/man1/*
%_datadir/applications/*%name.desktop
%_datadir/gnome/help/linphone
%_datadir/%name/*
%_datadir/sounds/%name
%_datadir/images/nowebcamCIF.jpg
%_pixmapsdir/%name/*

%files devel
%_includedir/linphone
%_libdir/liblinphone.so
%_libdir/pkgconfig/linphone.pc

%files devel-static
%_libdir/liblinphone.a

%files -n ortp
%doc oRTP/AUTHORS oRTP/ChangeLog oRTP/COPYING oRTP/NEWS oRTP/README oRTP/TODO
%_libdir/libortp.so.*

%files -n ortp-devel
%_includedir/ortp
%_libdir/pkgconfig/ortp.pc
%_libdir/libortp.a
%_libdir/libortp.so

%files -n mediastreamer2
%doc mediastreamer2/AUTHORS mediastreamer2/ChangeLog mediastreamer2/COPYING
%doc mediastreamer2/NEWS mediastreamer2/README
%_libexecdir/mediastream
%_libdir/libmediastreamer.so.*

%files -n mediastreamer2-devel
%_includedir/mediastreamer2
%_libdir/pkgconfig/mediastreamer.pc
%_libdir/libmediastreamer.so
%_libdir/libmediastreamer.*a

%changelog
* Thu Mar 26 2009 Sergey Alembekov <rt@altlinux.ru> 3.1.0-alt2
- fix build for x86_64 arch

* Thu Mar 19 2009 Sergey Alembekov <rt@altlinux.ru> 3.1.0-alt1
- initial build for ALTLinux


